import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateEndpointMessage,
  CreateEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateEndpointCommandInput extends CreateEndpointMessage {}
export interface CreateEndpointCommandOutput
  extends CreateEndpointResponse,
    __MetadataBearer {}
declare const CreateEndpointCommand_base: {
  new (
    input: CreateEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateEndpointCommandInput,
    CreateEndpointCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateEndpointCommandInput,
    CreateEndpointCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateEndpointCommand extends CreateEndpointCommand_base {}
