import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateEventSubscriptionMessage,
  CreateEventSubscriptionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateEventSubscriptionCommandInput
  extends CreateEventSubscriptionMessage {}
export interface CreateEventSubscriptionCommandOutput
  extends CreateEventSubscriptionResponse,
    __MetadataBearer {}
declare const CreateEventSubscriptionCommand_base: {
  new (
    input: CreateEventSubscriptionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateEventSubscriptionCommandInput,
    CreateEventSubscriptionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateEventSubscriptionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateEventSubscriptionCommandInput,
    CreateEventSubscriptionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateEventSubscriptionCommand extends CreateEventSubscriptionCommand_base {}
