import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateInstanceProfileMessage,
  CreateInstanceProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateInstanceProfileCommandInput
  extends CreateInstanceProfileMessage {}
export interface CreateInstanceProfileCommandOutput
  extends CreateInstanceProfileResponse,
    __MetadataBearer {}
declare const CreateInstanceProfileCommand_base: {
  new (
    input: CreateInstanceProfileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateInstanceProfileCommandInput,
    CreateInstanceProfileCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [CreateInstanceProfileCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    CreateInstanceProfileCommandInput,
    CreateInstanceProfileCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateInstanceProfileCommand extends CreateInstanceProfileCommand_base {}
