import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateReplicationInstanceMessage,
  CreateReplicationInstanceResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateReplicationInstanceCommandInput
  extends CreateReplicationInstanceMessage {}
export interface CreateReplicationInstanceCommandOutput
  extends CreateReplicationInstanceResponse,
    __MetadataBearer {}
declare const CreateReplicationInstanceCommand_base: {
  new (
    input: CreateReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationInstanceCommandInput,
    CreateReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationInstanceCommandInput,
    CreateReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateReplicationInstanceCommand extends CreateReplicationInstanceCommand_base {}
