import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteConnectionMessage,
  DeleteConnectionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteConnectionCommandInput extends DeleteConnectionMessage {}
export interface DeleteConnectionCommandOutput
  extends DeleteConnectionResponse,
    __MetadataBearer {}
declare const DeleteConnectionCommand_base: {
  new (
    input: DeleteConnectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteConnectionCommandInput,
    DeleteConnectionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteConnectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteConnectionCommandInput,
    DeleteConnectionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteConnectionCommand extends DeleteConnectionCommand_base {}
