import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteInstanceProfileMessage,
  DeleteInstanceProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteInstanceProfileCommandInput
  extends DeleteInstanceProfileMessage {}
export interface DeleteInstanceProfileCommandOutput
  extends DeleteInstanceProfileResponse,
    __MetadataBearer {}
declare const DeleteInstanceProfileCommand_base: {
  new (
    input: DeleteInstanceProfileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteInstanceProfileCommandInput,
    DeleteInstanceProfileCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteInstanceProfileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteInstanceProfileCommandInput,
    DeleteInstanceProfileCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteInstanceProfileCommand extends DeleteInstanceProfileCommand_base {}
