import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeApplicableIndividualAssessmentsMessage,
  DescribeApplicableIndividualAssessmentsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeApplicableIndividualAssessmentsCommandInput
  extends DescribeApplicableIndividualAssessmentsMessage {}
export interface DescribeApplicableIndividualAssessmentsCommandOutput
  extends DescribeApplicableIndividualAssessmentsResponse,
    __MetadataBearer {}
declare const DescribeApplicableIndividualAssessmentsCommand_base: {
  new (
    input: DescribeApplicableIndividualAssessmentsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeApplicableIndividualAssessmentsCommandInput,
    DescribeApplicableIndividualAssessmentsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeApplicableIndividualAssessmentsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeApplicableIndividualAssessmentsCommandInput,
    DescribeApplicableIndividualAssessmentsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeApplicableIndividualAssessmentsCommand extends DescribeApplicableIndividualAssessmentsCommand_base {}
