import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeDataProvidersMessage,
  DescribeDataProvidersResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeDataProvidersCommandInput
  extends DescribeDataProvidersMessage {}
export interface DescribeDataProvidersCommandOutput
  extends DescribeDataProvidersResponse,
    __MetadataBearer {}
declare const DescribeDataProvidersCommand_base: {
  new (
    input: DescribeDataProvidersCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeDataProvidersCommandInput,
    DescribeDataProvidersCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeDataProvidersCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeDataProvidersCommandInput,
    DescribeDataProvidersCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeDataProvidersCommand extends DescribeDataProvidersCommand_base {}
