import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEndpointSettingsMessage,
  DescribeEndpointSettingsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeEndpointSettingsCommandInput
  extends DescribeEndpointSettingsMessage {}
export interface DescribeEndpointSettingsCommandOutput
  extends DescribeEndpointSettingsResponse,
    __MetadataBearer {}
declare const DescribeEndpointSettingsCommand_base: {
  new (
    input: DescribeEndpointSettingsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEndpointSettingsCommandInput,
    DescribeEndpointSettingsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeEndpointSettingsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEndpointSettingsCommandInput,
    DescribeEndpointSettingsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEndpointSettingsCommand extends DescribeEndpointSettingsCommand_base {}
