import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeFleetAdvisorCollectorsRequest,
  DescribeFleetAdvisorCollectorsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeFleetAdvisorCollectorsCommandInput
  extends DescribeFleetAdvisorCollectorsRequest {}
export interface DescribeFleetAdvisorCollectorsCommandOutput
  extends DescribeFleetAdvisorCollectorsResponse,
    __MetadataBearer {}
declare const DescribeFleetAdvisorCollectorsCommand_base: {
  new (
    input: DescribeFleetAdvisorCollectorsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorCollectorsCommandInput,
    DescribeFleetAdvisorCollectorsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeFleetAdvisorCollectorsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorCollectorsCommandInput,
    DescribeFleetAdvisorCollectorsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeFleetAdvisorCollectorsCommand extends DescribeFleetAdvisorCollectorsCommand_base {}
