import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribePendingMaintenanceActionsMessage,
  DescribePendingMaintenanceActionsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribePendingMaintenanceActionsCommandInput
  extends DescribePendingMaintenanceActionsMessage {}
export interface DescribePendingMaintenanceActionsCommandOutput
  extends DescribePendingMaintenanceActionsResponse,
    __MetadataBearer {}
declare const DescribePendingMaintenanceActionsCommand_base: {
  new (
    input: DescribePendingMaintenanceActionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribePendingMaintenanceActionsCommandInput,
    DescribePendingMaintenanceActionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribePendingMaintenanceActionsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribePendingMaintenanceActionsCommandInput,
    DescribePendingMaintenanceActionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribePendingMaintenanceActionsCommand extends DescribePendingMaintenanceActionsCommand_base {}
