import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationConfigsMessage,
  DescribeReplicationConfigsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeReplicationConfigsCommandInput
  extends DescribeReplicationConfigsMessage {}
export interface DescribeReplicationConfigsCommandOutput
  extends DescribeReplicationConfigsResponse,
    __MetadataBearer {}
declare const DescribeReplicationConfigsCommand_base: {
  new (
    input: DescribeReplicationConfigsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationConfigsCommandInput,
    DescribeReplicationConfigsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeReplicationConfigsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationConfigsCommandInput,
    DescribeReplicationConfigsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationConfigsCommand extends DescribeReplicationConfigsCommand_base {}
