import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationsMessage,
  DescribeReplicationsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeReplicationsCommandInput
  extends DescribeReplicationsMessage {}
export interface DescribeReplicationsCommandOutput
  extends DescribeReplicationsResponse,
    __MetadataBearer {}
declare const DescribeReplicationsCommand_base: {
  new (
    input: DescribeReplicationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationsCommandInput,
    DescribeReplicationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeReplicationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationsCommandInput,
    DescribeReplicationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationsCommand extends DescribeReplicationsCommand_base {}
