import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyConversionConfigurationMessage,
  ModifyConversionConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ModifyConversionConfigurationCommandInput
  extends ModifyConversionConfigurationMessage {}
export interface ModifyConversionConfigurationCommandOutput
  extends ModifyConversionConfigurationResponse,
    __MetadataBearer {}
declare const ModifyConversionConfigurationCommand_base: {
  new (
    input: ModifyConversionConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyConversionConfigurationCommandInput,
    ModifyConversionConfigurationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyConversionConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyConversionConfigurationCommandInput,
    ModifyConversionConfigurationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyConversionConfigurationCommand extends ModifyConversionConfigurationCommand_base {}
