import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyEndpointMessage,
  ModifyEndpointResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ModifyEndpointCommandInput extends ModifyEndpointMessage {}
export interface ModifyEndpointCommandOutput
  extends ModifyEndpointResponse,
    __MetadataBearer {}
declare const ModifyEndpointCommand_base: {
  new (
    input: ModifyEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyEndpointCommandInput,
    ModifyEndpointCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyEndpointCommandInput,
    ModifyEndpointCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyEndpointCommand extends ModifyEndpointCommand_base {}
