import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  RebootReplicationInstanceMessage,
  RebootReplicationInstanceResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface RebootReplicationInstanceCommandInput
  extends RebootReplicationInstanceMessage {}
export interface RebootReplicationInstanceCommandOutput
  extends RebootReplicationInstanceResponse,
    __MetadataBearer {}
declare const RebootReplicationInstanceCommand_base: {
  new (
    input: RebootReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RebootReplicationInstanceCommandInput,
    RebootReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: RebootReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RebootReplicationInstanceCommandInput,
    RebootReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RebootReplicationInstanceCommand extends RebootReplicationInstanceCommand_base {}
