import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ReloadReplicationTablesMessage,
  ReloadReplicationTablesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ReloadReplicationTablesCommandInput
  extends ReloadReplicationTablesMessage {}
export interface ReloadReplicationTablesCommandOutput
  extends ReloadReplicationTablesResponse,
    __MetadataBearer {}
declare const ReloadReplicationTablesCommand_base: {
  new (
    input: ReloadReplicationTablesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ReloadReplicationTablesCommandInput,
    ReloadReplicationTablesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ReloadReplicationTablesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ReloadReplicationTablesCommandInput,
    ReloadReplicationTablesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ReloadReplicationTablesCommand extends ReloadReplicationTablesCommand_base {}
