import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StopReplicationMessage,
  StopReplicationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StopReplicationCommandInput extends StopReplicationMessage {}
export interface StopReplicationCommandOutput
  extends StopReplicationResponse,
    __MetadataBearer {}
declare const StopReplicationCommand_base: {
  new (
    input: StopReplicationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopReplicationCommandInput,
    StopReplicationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopReplicationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopReplicationCommandInput,
    StopReplicationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopReplicationCommand extends StopReplicationCommand_base {}
