import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  AddTagsToResourceMessage,
  AddTagsToResourceResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AddTagsToResourceCommandInput
  extends AddTagsToResourceMessage {}
export interface AddTagsToResourceCommandOutput
  extends AddTagsToResourceResponse,
    __MetadataBearer {}
declare const AddTagsToResourceCommand_base: {
  new (
    input: AddTagsToResourceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AddTagsToResourceCommandInput,
    AddTagsToResourceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: AddTagsToResourceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AddTagsToResourceCommandInput,
    AddTagsToResourceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class AddTagsToResourceCommand extends AddTagsToResourceCommand_base {}
