import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateFleetAdvisorCollectorRequest,
  CreateFleetAdvisorCollectorResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateFleetAdvisorCollectorCommandInput
  extends CreateFleetAdvisorCollectorRequest {}
export interface CreateFleetAdvisorCollectorCommandOutput
  extends CreateFleetAdvisorCollectorResponse,
    __MetadataBearer {}
declare const CreateFleetAdvisorCollectorCommand_base: {
  new (
    input: CreateFleetAdvisorCollectorCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateFleetAdvisorCollectorCommandInput,
    CreateFleetAdvisorCollectorCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateFleetAdvisorCollectorCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateFleetAdvisorCollectorCommandInput,
    CreateFleetAdvisorCollectorCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateFleetAdvisorCollectorCommand extends CreateFleetAdvisorCollectorCommand_base {}
