import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteCertificateMessage,
  DeleteCertificateResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteCertificateCommandInput
  extends DeleteCertificateMessage {}
export interface DeleteCertificateCommandOutput
  extends DeleteCertificateResponse,
    __MetadataBearer {}
declare const DeleteCertificateCommand_base: {
  new (
    input: DeleteCertificateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteCertificateCommandInput,
    DeleteCertificateCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteCertificateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteCertificateCommandInput,
    DeleteCertificateCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteCertificateCommand extends DeleteCertificateCommand_base {}
