import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteEventSubscriptionMessage,
  DeleteEventSubscriptionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteEventSubscriptionCommandInput
  extends DeleteEventSubscriptionMessage {}
export interface DeleteEventSubscriptionCommandOutput
  extends DeleteEventSubscriptionResponse,
    __MetadataBearer {}
declare const DeleteEventSubscriptionCommand_base: {
  new (
    input: DeleteEventSubscriptionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEventSubscriptionCommandInput,
    DeleteEventSubscriptionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteEventSubscriptionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEventSubscriptionCommandInput,
    DeleteEventSubscriptionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteEventSubscriptionCommand extends DeleteEventSubscriptionCommand_base {}
