import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import { DeleteCollectorRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteFleetAdvisorCollectorCommandInput
  extends DeleteCollectorRequest {}
export interface DeleteFleetAdvisorCollectorCommandOutput
  extends __MetadataBearer {}
declare const DeleteFleetAdvisorCollectorCommand_base: {
  new (
    input: DeleteFleetAdvisorCollectorCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteFleetAdvisorCollectorCommandInput,
    DeleteFleetAdvisorCollectorCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteFleetAdvisorCollectorCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteFleetAdvisorCollectorCommandInput,
    DeleteFleetAdvisorCollectorCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteFleetAdvisorCollectorCommand extends DeleteFleetAdvisorCollectorCommand_base {}
