import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEndpointTypesMessage,
  DescribeEndpointTypesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeEndpointTypesCommandInput
  extends DescribeEndpointTypesMessage {}
export interface DescribeEndpointTypesCommandOutput
  extends DescribeEndpointTypesResponse,
    __MetadataBearer {}
declare const DescribeEndpointTypesCommand_base: {
  new (
    input: DescribeEndpointTypesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEndpointTypesCommandInput,
    DescribeEndpointTypesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeEndpointTypesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEndpointTypesCommandInput,
    DescribeEndpointTypesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEndpointTypesCommand extends DescribeEndpointTypesCommand_base {}
