import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeFleetAdvisorDatabasesRequest,
  DescribeFleetAdvisorDatabasesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeFleetAdvisorDatabasesCommandInput
  extends DescribeFleetAdvisorDatabasesRequest {}
export interface DescribeFleetAdvisorDatabasesCommandOutput
  extends DescribeFleetAdvisorDatabasesResponse,
    __MetadataBearer {}
declare const DescribeFleetAdvisorDatabasesCommand_base: {
  new (
    input: DescribeFleetAdvisorDatabasesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorDatabasesCommandInput,
    DescribeFleetAdvisorDatabasesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeFleetAdvisorDatabasesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorDatabasesCommandInput,
    DescribeFleetAdvisorDatabasesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeFleetAdvisorDatabasesCommand extends DescribeFleetAdvisorDatabasesCommand_base {}
