import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeFleetAdvisorSchemaObjectSummaryRequest,
  DescribeFleetAdvisorSchemaObjectSummaryResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeFleetAdvisorSchemaObjectSummaryCommandInput
  extends DescribeFleetAdvisorSchemaObjectSummaryRequest {}
export interface DescribeFleetAdvisorSchemaObjectSummaryCommandOutput
  extends DescribeFleetAdvisorSchemaObjectSummaryResponse,
    __MetadataBearer {}
declare const DescribeFleetAdvisorSchemaObjectSummaryCommand_base: {
  new (
    input: DescribeFleetAdvisorSchemaObjectSummaryCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorSchemaObjectSummaryCommandInput,
    DescribeFleetAdvisorSchemaObjectSummaryCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeFleetAdvisorSchemaObjectSummaryCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeFleetAdvisorSchemaObjectSummaryCommandInput,
    DescribeFleetAdvisorSchemaObjectSummaryCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeFleetAdvisorSchemaObjectSummaryCommand extends DescribeFleetAdvisorSchemaObjectSummaryCommand_base {}
