import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeRecommendationsRequest,
  DescribeRecommendationsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeRecommendationsCommandInput
  extends DescribeRecommendationsRequest {}
export interface DescribeRecommendationsCommandOutput
  extends DescribeRecommendationsResponse,
    __MetadataBearer {}
declare const DescribeRecommendationsCommand_base: {
  new (
    input: DescribeRecommendationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRecommendationsCommandInput,
    DescribeRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeRecommendationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRecommendationsCommandInput,
    DescribeRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeRecommendationsCommand extends DescribeRecommendationsCommand_base {}
