import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ImportCertificateMessage,
  ImportCertificateResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ImportCertificateCommandInput
  extends ImportCertificateMessage {}
export interface ImportCertificateCommandOutput
  extends ImportCertificateResponse,
    __MetadataBearer {}
declare const ImportCertificateCommand_base: {
  new (
    input: ImportCertificateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ImportCertificateCommandInput,
    ImportCertificateCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ImportCertificateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ImportCertificateCommandInput,
    ImportCertificateCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ImportCertificateCommand extends ImportCertificateCommand_base {}
