import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyMigrationProjectMessage,
  ModifyMigrationProjectResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ModifyMigrationProjectCommandInput
  extends ModifyMigrationProjectMessage {}
export interface ModifyMigrationProjectCommandOutput
  extends ModifyMigrationProjectResponse,
    __MetadataBearer {}
declare const ModifyMigrationProjectCommand_base: {
  new (
    input: ModifyMigrationProjectCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyMigrationProjectCommandInput,
    ModifyMigrationProjectCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyMigrationProjectCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyMigrationProjectCommandInput,
    ModifyMigrationProjectCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyMigrationProjectCommand extends ModifyMigrationProjectCommand_base {}
