import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyReplicationInstanceMessage,
  ModifyReplicationInstanceResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ModifyReplicationInstanceCommandInput
  extends ModifyReplicationInstanceMessage {}
export interface ModifyReplicationInstanceCommandOutput
  extends ModifyReplicationInstanceResponse,
    __MetadataBearer {}
declare const ModifyReplicationInstanceCommand_base: {
  new (
    input: ModifyReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationInstanceCommandInput,
    ModifyReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationInstanceCommandInput,
    ModifyReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyReplicationInstanceCommand extends ModifyReplicationInstanceCommand_base {}
