import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyReplicationTaskMessage,
  ModifyReplicationTaskResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ModifyReplicationTaskCommandInput
  extends ModifyReplicationTaskMessage {}
export interface ModifyReplicationTaskCommandOutput
  extends ModifyReplicationTaskResponse,
    __MetadataBearer {}
declare const ModifyReplicationTaskCommand_base: {
  new (
    input: ModifyReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationTaskCommandInput,
    ModifyReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationTaskCommandInput,
    ModifyReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyReplicationTaskCommand extends ModifyReplicationTaskCommand_base {}
