import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  RefreshSchemasMessage,
  RefreshSchemasResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface RefreshSchemasCommandInput extends RefreshSchemasMessage {}
export interface RefreshSchemasCommandOutput
  extends RefreshSchemasResponse,
    __MetadataBearer {}
declare const RefreshSchemasCommand_base: {
  new (
    input: RefreshSchemasCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RefreshSchemasCommandInput,
    RefreshSchemasCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: RefreshSchemasCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RefreshSchemasCommandInput,
    RefreshSchemasCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RefreshSchemasCommand extends RefreshSchemasCommand_base {}
