import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  RemoveTagsFromResourceMessage,
  RemoveTagsFromResourceResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface RemoveTagsFromResourceCommandInput
  extends RemoveTagsFromResourceMessage {}
export interface RemoveTagsFromResourceCommandOutput
  extends RemoveTagsFromResourceResponse,
    __MetadataBearer {}
declare const RemoveTagsFromResourceCommand_base: {
  new (
    input: RemoveTagsFromResourceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RemoveTagsFromResourceCommandInput,
    RemoveTagsFromResourceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: RemoveTagsFromResourceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RemoveTagsFromResourceCommandInput,
    RemoveTagsFromResourceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RemoveTagsFromResourceCommand extends RemoveTagsFromResourceCommand_base {}
