import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartMetadataModelConversionMessage,
  StartMetadataModelConversionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StartMetadataModelConversionCommandInput
  extends StartMetadataModelConversionMessage {}
export interface StartMetadataModelConversionCommandOutput
  extends StartMetadataModelConversionResponse,
    __MetadataBearer {}
declare const StartMetadataModelConversionCommand_base: {
  new (
    input: StartMetadataModelConversionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelConversionCommandInput,
    StartMetadataModelConversionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartMetadataModelConversionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelConversionCommandInput,
    StartMetadataModelConversionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartMetadataModelConversionCommand extends StartMetadataModelConversionCommand_base {}
