import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartReplicationTaskAssessmentMessage,
  StartReplicationTaskAssessmentResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StartReplicationTaskAssessmentCommandInput
  extends StartReplicationTaskAssessmentMessage {}
export interface StartReplicationTaskAssessmentCommandOutput
  extends StartReplicationTaskAssessmentResponse,
    __MetadataBearer {}
declare const StartReplicationTaskAssessmentCommand_base: {
  new (
    input: StartReplicationTaskAssessmentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationTaskAssessmentCommandInput,
    StartReplicationTaskAssessmentCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartReplicationTaskAssessmentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationTaskAssessmentCommandInput,
    StartReplicationTaskAssessmentCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartReplicationTaskAssessmentCommand extends StartReplicationTaskAssessmentCommand_base {}
