import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartReplicationTaskMessage,
  StartReplicationTaskResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StartReplicationTaskCommandInput
  extends StartReplicationTaskMessage {}
export interface StartReplicationTaskCommandOutput
  extends StartReplicationTaskResponse,
    __MetadataBearer {}
declare const StartReplicationTaskCommand_base: {
  new (
    input: StartReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationTaskCommandInput,
    StartReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationTaskCommandInput,
    StartReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartReplicationTaskCommand extends StartReplicationTaskCommand_base {}
