import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StopReplicationTaskMessage,
  StopReplicationTaskResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StopReplicationTaskCommandInput
  extends StopReplicationTaskMessage {}
export interface StopReplicationTaskCommandOutput
  extends StopReplicationTaskResponse,
    __MetadataBearer {}
declare const StopReplicationTaskCommand_base: {
  new (
    input: StopReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopReplicationTaskCommandInput,
    StopReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopReplicationTaskCommandInput,
    StopReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopReplicationTaskCommand extends StopReplicationTaskCommand_base {}
