import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  TestConnectionMessage,
  TestConnectionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface TestConnectionCommandInput extends TestConnectionMessage {}
export interface TestConnectionCommandOutput
  extends TestConnectionResponse,
    __MetadataBearer {}
declare const TestConnectionCommand_base: {
  new (
    input: TestConnectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    TestConnectionCommandInput,
    TestConnectionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: TestConnectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    TestConnectionCommandInput,
    TestConnectionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class TestConnectionCommand extends TestConnectionCommand_base {}
